Subject: bug#3465: 23.0.94; feature request: be able to log minibuffer messages

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Aug 2020 21:36:33 +0300

> Date: Sat, 22 Aug 2020 11:11:23 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>         [email-masked]
> 
> The request is to be able to have `minibuffer-message'
> output logged, WITHOUT calling `message'.

Why "without"?

> It's about simply controlling logging for
> `minibuffer-message', totally, completely, independent
> of any use of `message'.

You want every single call to minibuffer-message to be logged in
*Messages*?  I'm guessing not, because this would make no sense.

If you want to log only _some_ calls to minibuffer-message, then you
will have to have special code to request that in those places where
you want the minibuffer messages to be logged.  I'm saying that you
can easily call 'message' in those places, and be done with that.

> IOW, please forget about `message'.  The request is
> for a simple way to (optionally) log output of 
> `minibuffer-message', just as we do, for example for
> `message' output.  And without recourse to any call
> to `message' - no workaround, just a simple way to
> log `minibuffer-message'.  We have such a way for
> `message' output.  The request is for such a way for
> `minibuffer-message' output - totally independent
> from `message'.

You cannot request a feature and then also dictate how it is
implemented.  The solution I proposed should do what you want without
requiring any changes to the core.

> > You are already able to do that, AFAICT.
> 
> Not simply.

It's simple enough, from where I stand.  Certainly so for a minor
feature such as this one.